%global momorel 2
%global date 20060301
%global scimver 1.4.4
%global scim_qtimmver 0.9.4
%global qtver 3.3.5
%global kdever 3.5.3
%global qtdir %{_libdir}/qt3
%global kdedir /usr

Summary: Input method platform for KDE
Name: skim
Version: 1.4.4
Release: 0.%{date}.%{momorel}m
License: GPL
URL: http://www.scim-im.org/projects/skim
Group: User Interface/X
# %%NoSource 0 http://jaist.dl.sourceforge.net/sourceforge/scim/%{name}-%{version}.tar.bz2 fb01a32b13008112e2b866b33f602e68
Source0: %{name}-%{version}.%{date}.tar.bz2
Source1: %{name}rc
Patch0: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdebase >= %{kdever}
Requires: scim >= %{scimver}, scim-qtimm >= %{scim_qtimmver}
BuildPreReq: qt-devel >= %{qtver}, kdelibs-devel >= %{kdever}, kdebase >= %{kdever}
BuildPreReq: scim-devel >= %{scimver}, scim-qtimm >= %{scim_qtimmver}
BuildPreReq: zlib-devel, libjpeg-devel, libpng-devel, desktop-file-utils
BuildPreReq: python, libxml2-devel, pkgconfig >= 0.12

%description
Skim is an input method platform based upon scim-lib for KDE.
It provides a GUI panel (named scim-panel-kde), a KConfig config module and
SetupUIs for itself and scim-lib.
It also has its own plugin systems which support on-demand loadable actions.

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	prefix=%{_prefix} \
	libdir=%{_libdir} \
	qtlibs=%{qtdir}/lib \
	qtincludes=%{qtdir}/include

./scons

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
./scons install DESTDIR=%{buildroot}

# install skimrc
mkdir -p %{buildroot}%{_datadir}/config
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/config/

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --remove-category Utility \
  --add-category Settings \
  %{buildroot}%{_datadir}/applnk/Utilities/skim.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/scim-panel-kde
%{_bindir}/skim
%{_includedir}/skim
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/scim-1.0/1.4.0/Config/kconfig.la
%{_libdir}/scim-1.0/1.4.0/Config/kconfig.so
%{_libdir}/*.la
%{_libdir}/*.so*
%{_datadir}/applications/kde/skim.desktop
%{_datadir}/apps/kicker/applets/skimapplet.desktop
%{_datadir}/apps/skim
%{_datadir}/autostart/skim.desktop
%{_datadir}/config/skimrc
%{_datadir}/config.kcfg/*.kcfg
%{_datadir}/doc/HTML/*/skim
%{_datadir}/icons/*/*/apps/*.png
%{_datadir}/icons/*/*/apps/*.svgz
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/services/skimconfiguredialog
%{_datadir}/services/*.desktop
%{_datadir}/servicetypes/*.desktop

%changelog
* Sun Jun  4 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-0.20060301.2m)
- rewind to avoid crashing skim-honoka

* Sun Jun  4 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.5-1m)
- version 1.4.5
- remove desktop.patch
- install desktop file (Exec=skim -f in skim.desktop)

* Mon Mar 20 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-0.20060301.1m)
- update to 20060301 cvs snapshot (use opensuse tar-ball)
 +* Sat Mar 04 2006 - zsu@suse.de
 +- Update to cvs head to fix the following issues [#154308]
 +- Fixed a crash bug when exiting scim-input-pad [#149541]
 +- Fixed a bug which prevent Filter setting from saving successfully.
 +- Disable main window when there is no properties.
 +- Prevent plugin setup window from being disabled.
 +- Fixed setup module desktop file translation issue.

* Mon Mar 13 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-3m)
- remove scimrel for scim-1.4.4-0.20060301.2m

* Mon Mar  6 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-2m)
- add skim-1.4.4-desktop.patch (modify skim.desktop)

* Wed Feb  1 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-1m)
- version 1.4.4

* Tue Nov 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.3-2m)
- rebuild against KDE 3.5 RC1

* Wed Nov  2 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.3-1m)
- version 1.4.3
- remove skim-1.4.2-uic.patch

* Sat Sep 24 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.2-3m)
- fix uic build problem

* Mon Sep 19 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.2-2m)
- rebuild against qt-3.3.5-1m

* Mon Aug 29 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.2-1m)
- version 1.4.2

* Fri Aug 12 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.4.1-2m)
- multilib build fix.

* Thu Aug 11 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.1-1m)
- version 1.4.1
- remove nokdelibsuff.patch
- BuildPreReq: python, libxml2-devel, pkgconfig

* Mon Jun 27 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.3-2m)
- add --with-qt-libraries=%%{qtdir}/lib to configure

* Sat May 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.3-1m)
- version 1.2.3 (bug fix release)
- add skim-1.2.3-nokdelibsuff.patch

* Sun Apr 10 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.2-2m)
- remove %%{_docdir}/HTML/skim

* Tue Mar 29 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.2-1m)
- version 1.2.2 (bug fix release)

* Thu Mar 17 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.1-1m)
- version 1.2.1 (major bug fix release)
  Workaround for issues in Qt 3.3.4 qtimm patch
- Requires: scim >= 1.2.1-1m

* Thu Mar 10 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.0-2m)
- add Source1: skimrc
- Requires: scim >= 1.2.0-3m

* Thu Mar  3 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.0-1m)
- initial package for Momonga Linux
- import %%description from UT Extra Packages for Mandrake

* Tue Mar 01 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.2.0-2ut
- new release
- remove unnecessary files

* Thu Feb 17 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> - 1.1.0-1ut
- new release
- spec cleanup
- change URL

* Tue Feb 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.0-2mdk
- rpmlint fixes

* Thu Sep 09 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.0.0-1mdk
- new release

* Fri Sep 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.7-2mdk
- skim needs *.la for plugins
- fix requires (skim won't work w/o scim)
- disable rpath

* Sun Aug 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.7-1mdk
- fix file list
- fix description & summary
- fix a few rpmlint warnings
- initial spec for mdk (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)
